# RPM specfile for gnomemm module
# Generated Thu Feb 14 16:03:21 2002 GMT by Ximian build system
# $Id: bb_do,v 1.164 2002/02/11 18:53:17 peter Exp $
# from $Id: ximian-build.conf,v 1.20 2001/10/12 19:40:59 dobey Exp $

%define nam	gnomemm
%define ver	1.2.2

Name:     	libgnomemm-1.2_9
Version: 	1.2.2
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
Source0:	gnomemm-1.2.2.tar.gz
Summary:	C++ bindings for GNOME
Group:		System Environment/Libraries
Requires:	gnome-libs >= 1.2.8
Requires:	gtkmm >= 1.2.5

%description

C++ Lanugage bindings for the GNOME Libraries.


%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/usr/lib/*.so.*


%package -n libgnomemm-1.2_9-devel
Summary:	C++ bindings for GNOME
Group:		Development/Libraries
Requires:	libgnomemm-1.2_9 = %{PACKAGE_VERSION}
Provides:	libgnomemm-devel = %{PACKAGE_VERSION}
Provides:	gnomemm-devel = %{PACKAGE_VERSION}

%description -n libgnomemm-1.2_9-devel

C++ Lanugage bindings for the GNOME Libraries.


%files -n libgnomemm-1.2_9-devel
%defattr(-, root, root)
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/*.sh
/usr/include/*
/usr/share/aclocal/gnome--.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnomemm-1.2.2
    ;;
all)
%setup  -q -n gnomemm-1.2.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Feb 14 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.1
- New Build

* Thu Feb 14 2002 Ximian, Inc.

- Version: 1:1.2.2-1.ximian.1
- New Build

* Thu Feb 14 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.1
- New Build

* Thu Feb 14 2002 Ximian, Inc.

- Version: 1:1.2.2-1.ximian.1
- New Build

* Thu Feb 14 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.1
- New Build

* Thu Feb 14 2002 Ximian, Inc.

- Version: 1:1.2.2-1.ximian.1
- New Build

* Wed Feb 13 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.1
- New Build

* Wed Feb 13 2002 Ximian, Inc.

- Version: 1:1.2.2-1.ximian.1
- New Build

* Wed Feb 13 2002 Ximian, Inc.

- Version: 1.2.2-1.ximian.1
- New Build

* Thu Nov  8 2001 thunder

- Version: 1.2.1-ximian.1
- Imported into packaging system.

